import { jsx } from "react/jsx-runtime";
import { TokenSTRP as TokenSTRP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSTRP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "STRP", "data-name": "TokenSTRP", ...props, children: /* @__PURE__ */ jsx(TokenSTRP$1, { variant }) });
  }
);
TokenSTRP.displayName = "TokenSTRP";
Object.assign(TokenSTRP, { isGdsIcon: true });
export {
  TokenSTRP
};
